pam reports errors on missing pam_foreground.so

Bug #198714 reported by Baptiste Mille-Mathias on 2008-03-05
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pam (Ubuntu)
Low
Martin Pitt

Bug Description

Binary package hint: consolekit

When someone logging on my hardy server just installed from scratch on March 3th I have such errors

Mar 5 12:55:39 sunflower sudo: PAM unable to dlopen(/lib/security/pam_foreground.so)
Mar 5 12:55:39 sunflower sudo: PAM [error: /lib/security/pam_foreground.so: cannot open shared object file: No such file or directory]
Mar 5 12:55:39 sunflower sudo: PAM adding faulty module: /lib/security/pam_foreground.so

Related branches

baptiste@sunflower:~$ cat /etc/pam.d/common-session
#
# /etc/pam.d/common-session - session-related modules common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of modules that define tasks to be performed
# at the start and end of sessions of *any* kind (both interactive and
# non-interactive). The default is pam_unix.
#
session required pam_unix.so
session optional pam_foreground.so

Changed in consolekit:
assignee: nobody → pitti
Martin Pitt (pitti) wrote :

Right, that needs to disappear from /usr/share/pam/common-session.

Changed in pam:
importance: Undecided → Low
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pam - 0.99.7.1-5ubuntu5

---------------
pam (0.99.7.1-5ubuntu5) hardy; urgency=low

  * debian/local/common-session: Drop libpam-foreground. It's gone for good,
    and we do not want this in the PAM config for new installations, since it
    just spams syslog with error messages. (LP: #198714)

 -- Martin Pitt <email address hidden> Tue, 11 Mar 2008 11:22:11 +0100

Changed in pam:
status: In Progress → Fix Released
sv3t (tassev) wrote :

I have pam (0.99.7.1-5ubuntu5), but the message still appears constantly in my syslog, and cat /etc/pam.d/common-session returns:

#
# /etc/pam.d/common-session - session-related modules common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of modules that define tasks to be performed
# at the start and end of sessions of *any* kind (both interactive and
# non-interactive). The default is pam_unix.
#
session required pam_unix.so
session optional pam_foreground.so

So, should I just comment out the last line?

sv3t [2008-04-07 19:47 -0000]:
> I have pam (0.99.7.1-5ubuntu5), but the message still appears constantly
> in my syslog, and cat /etc/pam.d/common-session returns:

It is only fixed for fresh installs, not for updates. Automatically
changing PAM configuration during upgrades is a no-no. Also,
libpam-foreground should not automatically get uninstalled during
update.

> session required pam_unix.so
> session optional pam_foreground.so
>
>
> So, should I just comment out the last line?

Sure, if you don't need it any more, get rid of it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers